[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

r946 - in glibc-package/trunk/debian: . patches



Author: gotom
Date: 2005-07-16 16:23:49 +0000 (Sat, 16 Jul 2005)
New Revision: 946

Added:
   glibc-package/trunk/debian/patches/glibc235-gcc4-ppc-procfs.dpatch
Modified:
   glibc-package/trunk/debian/changelog
   glibc-package/trunk/debian/patches/00list
Log:
      - debian/patches/glibc235-gcc4-ppc-procfs.dpatch: Added to compile with
        gcc-4.0 pulled from upstream and fix ppc32 compilation.
        (Closes: #304963)



Modified: glibc-package/trunk/debian/changelog
===================================================================
--- glibc-package/trunk/debian/changelog	2005-07-16 16:22:06 UTC (rev 945)
+++ glibc-package/trunk/debian/changelog	2005-07-16 16:23:49 UTC (rev 946)
@@ -45,6 +45,9 @@
         not defined within procedure with binutils 2.16 for ia64.
       - debian/patches/glibc235-gcc4-ia64-profile.dpatch: Fix compilation 
         breakage by removing strong_alias for ia64.
+      - debian/patches/glibc235-gcc4-ppc-procfs.dpatch: Added to compile with
+        gcc-4.0 pulled from upstream and fix ppc32 compilation.
+        (Closes: #304963)
 
     * Move /etc/locale.alias to /usr/share/locale/locale.alias.
       Don't install locale.alias.5.  (Closes: #144670, #185991, #298784)

Modified: glibc-package/trunk/debian/patches/00list
===================================================================
--- glibc-package/trunk/debian/patches/00list	2005-07-16 16:22:06 UTC (rev 945)
+++ glibc-package/trunk/debian/patches/00list	2005-07-16 16:23:49 UTC (rev 946)
@@ -65,3 +65,4 @@
 glibc235-gcc4-wcstol_l
 glibc235-binutils216-ia64
 glibc235-gcc4-ia64-profile
+glibc235-gcc4-ppc-procfs
\ No newline at end of file

Added: glibc-package/trunk/debian/patches/glibc235-gcc4-ppc-procfs.dpatch
===================================================================
--- glibc-package/trunk/debian/patches/glibc235-gcc4-ppc-procfs.dpatch	2005-07-16 16:22:06 UTC (rev 945)
+++ glibc-package/trunk/debian/patches/glibc235-gcc4-ppc-procfs.dpatch	2005-07-16 16:23:49 UTC (rev 946)
@@ -0,0 +1,59 @@
+#! /bin/sh -e
+
+# All lines beginning with `# DP:' are a description of the patch.
+# DP: Description: Make glibc compile with gcc-4.0 on ppc32.
+# DP: Related bugs: #304963
+# DP: Dpatch author: GOTO Masanori <gotom@debian.org>
+# DP: Patch author: Alan Modra <amodra@bigpond.net.au>
+# DP: Upstream status: In CVS
+# DP: Status Details: 
+# DP: Date: 2005-07-14
+
+PATCHLEVEL=0
+
+if [ $# -ne 2 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch) patch -d "$2" -f --no-backup-if-mismatch -p$PATCHLEVEL < $0;;
+    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p$PATCHLEVEL < $0;;
+    *)
+	echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+	exit 1
+esac
+exit 0
+
+# append the patch here and adjust the -p? flag in the patch calls.
+2005-02-21  Alan Modra <amodra@bigpond.net.au>
+
+	* sysdeps/unix/sysv/linux/powerpc/sys/procfs.h (elf_vrreg_t): Don't
+	use __uint128_t.
+
+Index: sysdeps/unix/sysv/linux/powerpc/sys/procfs.h
+===================================================================
+RCS file: /cvs/glibc/libc/sysdeps/unix/sysv/linux/powerpc/sys/procfs.h,v
+retrieving revision 1.11
+retrieving revision 1.12
+diff -u -p -r1.11 -r1.12
+--- sysdeps/unix/sysv/linux/powerpc/sys/procfs.h	17 Dec 2003 23:09:34 -0000	1.11
++++ sysdeps/unix/sysv/linux/powerpc/sys/procfs.h	2 Mar 2005 20:11:38 -0000	1.12
+@@ -46,15 +46,10 @@ typedef elf_greg_t elf_gregset_t[ELF_NGR
+ typedef double elf_fpreg_t;
+ typedef elf_fpreg_t elf_fpregset_t[ELF_NFPREG];
+ 
+-/* gcc 3.1 and newer support __uint128_t.  */
+-#if !__GNUC_PREREQ(3,1)
+-typedef struct {
+-  unsigned long u[4];
+-} __attribute((aligned(16))) __uint128_t;
+-#endif
+-
+ /* Altivec registers */
+-typedef __uint128_t elf_vrreg_t;
++typedef struct {
++  unsigned int u[4];
++} __attribute__ ((aligned (16))) elf_vrreg_t;
+ typedef elf_vrreg_t elf_vrregset_t[ELF_NVRREG];
+ #endif
+ 



Reply to: